#Criação Dinâmica com glade
#Autor: Mateus Henrique Brum <mateushenriquebrum@gmail.com>
#Objeto: Mostrar criação dinâmicas de objetos GTK utilizando o módulo glade
import gtk,gtk.glade,os

gladefile = gtk.glade.XML("dynamic.glade")
table = gladefile.get_widget('table')
display_obter = gladefile.get_widget('display_obter')
index = gladefile.get_widget('index')

entries = []
def create_entry(*args):
	rows = len(entries)
	rows = int(rows)+2
	entry = gtk.Entry()
	entry.set_text("Obter "+str(len(entries))+" - Sou editável")
	entry.show()
	table.resize(rows,1)
	table.attach(entry,0,1,rows-1,rows)
	entries.append(entry)

def get_value(*args):
	index_value = index.get_text()
	obter = str(entries[(int(index_value))].get_text())
	display_obter.set_text(obter)
	
connection={"on_criar_pressed":create_entry,"on_window_destroy":gtk.main_quit,"on_obter_pressed":get_value}
gladefile.signal_autoconnect(connection)

gtk.main()
